Skip to content
Permalink
Browse files
adjust binary compat baseline for Groovy 5
  • Loading branch information
paulk-asert committed Feb 24, 2022
1 parent 1948bfc commit 763080acea2e112ba62d426a0c55fed3faafd500
Show file tree
Hide file tree
Showing 2 changed files with 2 additions and 2 deletions.
@@ -20,7 +20,7 @@ groovyBundleVersion=5.0.0.SNAPSHOT
groovyTargetBytecodeVersion=1.8
targetJavaVersion=8

binaryCompatibilityBaseline=3.0.9
binaryCompatibilityBaseline=4.0.0
gradle_version=7.4

groovyJUnit_ms=512m
@@ -38,7 +38,7 @@ rootProject.allprojects {
pluginManager.withPlugin('org.apache.groovy-base') {
if (groovyLibrary.checkBinaryCompatibility.get()) {
def taskName = "japicmp${project.name.split('-').collect{ it.capitalize() }.join()}"
def baselineCoords = "org.codehaus.groovy:${project.name}:${sharedConfiguration.binaryCompatibilityBaselineVersion.get()}@jar"
def baselineCoords = "org.apache.groovy:${project.name}:${sharedConfiguration.binaryCompatibilityBaselineVersion.get()}@jar"
def baseline = thisProject.configurations.create("${taskName}Baseline") {
dependencies.add(thisProject.dependencies.create(baselineCoords))
}

0 comments on commit 763080a

Please sign in to comment.